Name:           ocaml-camldbm
Version:        1.0
Release:        %mkrel 8
Summary:        Binding to the NDBM/GDBM Unix databases
License:        LGPL with static compilation exception
Group:          Development/OCaml
URL:            https://forge.ocamlcore.org/projects/camldbm/
Source0:        http://download.ocamlcore.org/camldbm/template/CamlDBM%{version}/camldbm-%{version}.tgz
Patch0:		include_fix.patch
Patch1:		hasgotfix.patch
Patch2:		camldbm-1.0-api-doc.patch
BuildRequires:  ocaml-findlib
BuildRequires:  libgdbm-devel
Requires:  gdbm

%description
This OCaml library is a binding to the NDBM/GDBM Unix "databases".
It provides persistent storage of key-value pairs of strings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n camldbm-%{version}
%apply_patches

%build
./configure
make
make doc

%install
rm -rf %{buildroot}
OCAML_DESTDIR=%{buildroot}/%{_libdir}/ocaml/dbm
STUBS_DESTDIR=%{buildroot}/%{_libdir}/ocaml/stublibs
mkdir -p $OCAML_DESTDIR
mkdir -p $STUBS_DESTDIR

make install \
  LIBDIR=$OCAML_DESTDIR \
  STUBLIBDIR=$STUBS_DESTDIR

cp META $OCAML_DESTDIR/
cp dbm.mli $OCAML_DESTDIR/


%files
%doc README LICENSE Changelog
%dir %{_libdir}/ocaml/dbm/
%{_libdir}/ocaml/dbm/META
%{_libdir}/ocaml/dbm/*.cmi
%{_libdir}/ocaml/dbm/*.cma
%{_libdir}/ocaml/dbm/*.cmxs
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc api-doc/
%{_libdir}/ocaml/dbm/*.a
%{_libdir}/ocaml/dbm/*.cmxa
%{_libdir}/ocaml/dbm/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0-8.mga4
+ Revision: 536090
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 1.0-7.mga4
+ Revision: 483270
- also provide the ocamldoc generated API documentation

* Fri Sep 20 2013 malo <malo> 1.0-6.mga4
+ Revision: 482438
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 1.0-5.mga3
+ Revision: 361202
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 11 2012 fwang <fwang> 1.0-4.mga3
+ Revision: 329487
- drop old configure script
- add gentoo patches to make it built

* Tue Dec 11 2012 fwang <fwang> 1.0-3.mga3
+ Revision: 329478
- rebuild for missing lib links

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.0-2.mga3
+ Revision: 321430
- rebuild for conflicting META file

* Fri Nov 23 2012 blue_prawn <blue_prawn> 1.0-1.mga3
+ Revision: 321380
- build requires gdbm-devel
- imported package ocaml-camldbm

